#include "../include/aprecv-general.h"

int print_etherip_packet (struct aprecv_frame_header *header, unsigned char *packet, int opt_size) {
  static struct etherip_pkt_header *etherip_header;

  etherip_header = (struct etherip_pkt_header *)(packet+data_link_size+opt_size);
  
  apsr_output("- EtherIP Header -\n  Version: %u, ", etherip_header->version);
  apsr_output("  Reserved: %u", etherip_header->reserved);

  if(statistic) 
        stats.c.etherip++;

  /* Add 2 bytes for EtherIP header */
  print_ethernet_packet(header, packet, opt_size+2);
  
  return(RET_SUCCESS);
}
