#include "../include/aprecv-general.h"

static const char *vtp_types[]= {
	" (Unknown)",
	" (Summary Advert)",
	" (Subset Advert)",
	" (Advert Request)",
};	

int print_vtp_packet (unsigned char *packet, int opt_size) {
  static struct vtp_pkt_header *vtp_header;
    
  vtp_header = (struct vtp_pkt_header *)(packet+data_link_size+opt_size);

  apsr_output("- VTP Header -\n  Version: 0x%02x, Code: 0x%02x", 
		  vtp_header->version, vtp_header->code);
  if(verbose) 
	  apsr_output(" %s", vtp_types[vtp_header->code]);
  
  apsr_output("\n");
  
  if(statistic)
          stats.c.cgmp++;
  
  return(RET_SUCCESS);
}
