#include "../include/apsrlib-config.h"

int apsr_endian_test (void) {
	#ifdef __BYTE_ORDER
	static signed int byte_order;
	#endif

	signed long end_test = 1;
	void *ptr = &end_test;
	char ret = *(char *) ptr;

	#if __BYTE_ORDER
	  #if	( __BYTE_ORDER == __BIG_ENDIAN    )
	    byte_order = 0;
	  #elif	( __BYTE_ORDER == __LITTLE_ENDIAN )
	    byte_order = 1;
	  #elif	( __BYTE_ORDER == __PDP_ENDIAN    )
	    byte_order = 2;
	  #else
	    byte_order = -1;
	  #endif

	  #ifdef APSRLIB_DEBUG
	  if((int) ret != byte_order) {
	    ERROR("endian_test: Byte test and __BYTE_ORDER differ.");
	    ERROR("endian_test: Returning byte order from endian_test.");
	  }
	  #endif

	#endif

	return(ret);
}

